Create a building for a contact
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
POST
/v1/buildingsAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Request body
requiredapplication/jsoncontactIdstringrequirednamestringrequiredmin length 1
streetstring | anyShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyShow propertiesHide properties
Any of:
string
stringany
anycountryCodestringmin length 2 · max length 2
buildingTypestring | anyShow propertiesHide properties
Any of:
string
stringany
anybuildingYearinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anylivingAreanumber | anyShow propertiesHide properties
Any of:
number
numberany
anynotesstring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
201OK
idstringrequiredcontactIdstringrequirednamestringrequiredstreetstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycountryCodestringrequiredbuildingTypestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anybuildingYearinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anylivingAreanumber | anyrequiredShow propertiesHide properties
Any of:
number
numberany
anynotesstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X POST "https://app.bauhow.com/api/v1/buildings" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"contactId": "string",
"name": "string",
"street": "string",
"postalCode": "string",
"city": "string",
"countryCode": "string",
"buildingType": "string",
"buildingYear": 0,
"livingArea": 0,
"notes": "string"
}'const response = await fetch("https://app.bauhow.com/api/v1/buildings", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"contactId": "string",
"name": "string",
"street": "string",
"postalCode": "string",
"city": "string",
"countryCode": "string",
"buildingType": "string",
"buildingYear": 0,
"livingArea": 0,
"notes": "string"
})
});import requests
response = requests.post(
"https://app.bauhow.com/api/v1/buildings",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"contactId": "string",
"name": "string",
"street": "string",
"postalCode": "string",
"city": "string",
"countryCode": "string",
"buildingType": "string",
"buildingYear": 0,
"livingArea": 0,
"notes": "string"
},
)Response
{
"id": "string",
"contactId": "string",
"name": "string",
"street": "string",
"postalCode": "string",
"city": "string",
"countryCode": "string",
"buildingType": "string",
"buildingYear": 0,
"livingArea": 0,
"notes": "string",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}